## golang-github-jamesclonk-vultr 1.13.0

=== Makefile ===
.PHONY: all prepare build lint vet test check

all: prepare lint vet test build

prepare:
	go get -v github.com/golang/lint/golint
	go get -v github.com/Masterminds/glide
	glide install

build:
	GOARCH=amd64 GOOS=linux go install

lint:
	for pkg in $$(go list ./... | grep -v /vendor/); do golint $$pkg; done

vet:
	GOARCH=amd64 GOOS=linux go vet $$(go list ./... | grep -v /vendor/)

test:
	GOARCH=amd64 GOOS=linux go test $$(go list ./... | grep -v /vendor/)

check: lint vet test

## golang-github-jamesclonk-vultr 1.9

=== debian/changelog ===
golang-github-jamesclonk-vultr (1.9-1) unstable; urgency=medium

  * Initial release (Closes: #834384).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 15 Aug 2016 14:47:44 +1000

=== debian/control ===
Source: golang-github-jamesclonk-vultr
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
#               golang-github-jawher-mow.cli-dev,
               golang-github-juju-ratelimit-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 3.9.8
Homepage: https://github.com/JamesClonk/vultr
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-jamesclonk-vultr.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-jamesclonk-vultr.git
XS-Go-Import-Path: github.com/JamesClonk/vultr

Package: golang-github-jamesclonk-vultr-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
#         golang-github-jawher-mow.cli-dev,
         golang-github-juju-ratelimit-dev,
         golang-github-stretchr-testify-dev
Description: Vultr API client library
 Vultr (https://www.vultr.com) API client library, written in Go.

## golang-github-jamesclonk-vultr 1.10

=== debian/changelog ===
golang-github-jamesclonk-vultr (1.10-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.10
  * Use debhelper v10
  * Use golang-any instead of golang-go
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 15 Nov 2016 09:04:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-golang,
-               golang-go,
+               golang-any,
 #               golang-github-jawher-mow.cli-dev,
                golang-github-juju-ratelimit-dev,
                golang-github-stretchr-testify-dev
@@ -19,7 +19,6 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go,
 #         golang-github-jawher-mow.cli-dev,
          golang-github-juju-ratelimit-dev,
          golang-github-stretchr-testify-dev

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
" https://github.com/JamesClonk/vultr/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-jamesclonk-vultr 1.13.0

=== debian/changelog ===
golang-github-jamesclonk-vultr (1.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.13.0
  * Update to Standards-Version 4.0.0
    - Use HTTPS URL for d/copyright
  * Add repack options to d/watch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 07 Jul 2017 19:32:04 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #               golang-github-jawher-mow.cli-dev,
                golang-github-juju-ratelimit-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/JamesClonk/vultr
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-jamesclonk-vultr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-jamesclonk-vultr.git

## golang-github-jamesclonk-vultr 1.15.0

=== Makefile ===
TEST?=$$(go list ./... |grep -v 'vendor')
GOFMT_FILES?=$$(find . -name '*.go' |grep -v vendor)

all: prepare lint vet test build

prepare:
	go get -v github.com/golang/lint/golint
	go get -v github.com/Masterminds/glide
	go get -v github.com/goreleaser/goreleaser
	glide install

build:
	go install

lint:
	for pkg in $(TEST); do golint $$pkg; done

vet:
	@echo "go vet ."
	@go vet $(TEST) ; if [ $$? -eq 1 ]; then \
		echo ""; \
		echo "Vet found suspicious constructs. Please check the reported constructs"; \
		echo "and fix them if necessary before submitting the code for review."; \
		exit 1; \
	fi

fmt:
	gofmt -w $(GOFMT_FILES)

test:
	go test -i $(TEST) || exit 1
	echo $(TEST) | \
		xargs -t -n4 go test $(TESTARGS) -timeout=30s -parallel=4

check: lint vet test

release:
	goreleaser

.PHONY: all prepare build lint vet test check release

=== debian/changelog ===
golang-github-jamesclonk-vultr (1.15.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:04:42 +0800

golang-github-jamesclonk-vultr (1.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.0
  * Use debhelper v11
  * Update to Standards-Version 4.1.3
    - Use Priority: optional
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 21 Mar 2018 17:39:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: golang-github-jamesclonk-vultr
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
 #               golang-github-jawher-mow.cli-dev,
                golang-github-juju-ratelimit-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/JamesClonk/vultr
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-jamesclonk-vultr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-jamesclonk-vultr.git

## golang-github-jamesclonk-vultr 2.0.1

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,8 @@
 all: prepare lint vet test build
 
 prepare:
-	go get -v github.com/golang/lint/golint
+	go get -v golang.org/x/lint/golint
 	go get -v github.com/Masterminds/glide
-	go get -v github.com/goreleaser/goreleaser
 	glide install
 
 build:
@@ -35,6 +34,7 @@
 check: lint vet test
 
 release:
+	go get -v github.com/goreleaser/goreleaser
 	goreleaser
 
 .PHONY: all prepare build lint vet test check release

=== debian/changelog ===
golang-github-jamesclonk-vultr (2.0.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.4.1
  * DH to version 12
  * (Build-)Depends:
    - golang-github-juju-ratelimit-dev
    + golang-golang-x-time-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Dec 2019 19:56:16 +1100

=== debian/control ===
Source: golang-github-jamesclonk-vultr
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
#   ,golang-github-jawher-mow.cli-dev
    ,golang-github-stretchr-testify-dev
    ,golang-golang-x-time-dev
Standards-Version: 4.4.1
Homepage: https://github.com/JamesClonk/vultr
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jamesclonk-vultr
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jamesclonk-vultr.git
XS-Go-Import-Path: github.com/JamesClonk/vultr
Testsuite: autopkgtest-pkg-go

Package: golang-github-jamesclonk-vultr-dev
Architecture: all
Depends: ${misc:Depends}
#   ,golang-github-jawher-mow.cli-dev
    ,golang-github-stretchr-testify-dev
    ,golang-golang-x-time-dev
Description: Vultr API client library
 Vultr (https://www.vultr.com) API client library, written in Go.

=== debian/rules ===
#!/usr/bin/make -f

## "cmd" requires "github.com/jawher/mow.cli" which is not packaged yet.
export DH_GOLANG_EXCLUDES = cmd

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
--- 
+++ 
@@ -3,5 +3,7 @@
 
 opts="\
 pgpmode=none,\
+repack,\
+compression=xz,\
 " https://github.com/JamesClonk/vultr/releases \
   .*/archive/v?(\d[\d\.]+)\.tar\.gz
